'use strict';

oml.ui.annotationPanel = function() {

    var $bar = Ox.Bar({size: 16});

    var $button = Ox.Button({
        disabled: true,
        style: 'symbol',
        title: 'add',
        type: 'image'
    }).appendTo($bar);

    var $menuButton = Ox.MenuButton({
        items: [
            {id: 'sortAnnotations', title: 'Sort Annotations', disabled: true}
        ],
        style: 'square',
        title: 'set',
        type: 'image',
        width: 16
    }).css({
        float: 'right'
    }).appendTo($bar);

    var ui = oml.user.ui;
    var that = Ox.SplitPanel({
        elements: [
            {
                element: $bar,
                size: 16
            },
            {
                element: oml.$ui.annotationFolder = oml.ui.annotationFolder()
            }
        ],
        orientation: 'vertical'
    });

    return that;

};
